Debian Bug report logs - #352521
ITA: aspectj -- A seamless aspect-oriented extension for Java

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Christoph Berg <myon@debian.org>

Date: Sun, 12 Feb 2006 14:33:42 UTC

Owned by: Thomas Girard <thomas.g.girard@free.fr>

Severity: normal

Fixed in version aspectj/1.5.3-1

Done: Thomas Girard <thomas.g.girard@free.fr>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#352521; Package wnpp. Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Berg <myon@debian.org>
To: submit@bugs.debian.org
Subject: O: aspectj -- A seamless aspect-oriented extension for Java
Date: Sun, 12 Feb 2006 15:20:38 +0100
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: normal

The current maintainer of aspectj, Takashi Okamoto <tora@debian.org>,
is not active anymore.  Therefore, I orphan this package
now.  If you want to be the new maintainer, please take it -- see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: aspectj
Binary: aspectj, aspectj-doc
Version: 1.1.1-1
Priority: optional
Section: contrib/devel
Maintainer: Takashi Okamoto <dres@debian.org>
Build-Depends-Indep: debhelper (>> 3.0.0), sun-j2sdk1.4
Architecture: all
Standards-Version: 3.5.8
Format: 1.0
Directory: pool/contrib/a/aspectj
Files:
 e1e2d6dc97a6828bc2620bb349ec946b 641 aspectj_1.1.1-1.dsc
 856004b0f108906cc43d937c7515c4cd 27151115 aspectj_1.1.1.orig.tar.gz
 9a3f3593aa3450c5d82d3a4727f3a0be 7453 aspectj_1.1.1-1.diff.gz
Uploaders: James LewisMoss <dres@debian.org>

Package: aspectj
Priority: optional
Section: contrib/devel
Installed-Size: 7123
Maintainer: Takashi Okamoto <dres@debian.org>
Architecture: all
Version: 1.1.1-1
Depends: kaffe (>= 1:1.1.3) | java2-runtime | java1-runtime
Filename: pool/contrib/a/aspectj/aspectj_1.1.1-1_all.deb
Size: 6659672
MD5sum: 5e040eefef03db57cb247efc474e9586
Description: A seamless aspect-oriented extension for Java
 Aspectj enables the clean modularization of crosscutting concerns
 such as: error checking and handling, synchronization, context-sensitive
 behavior, performance optimizations, monitoring and logging, debugging
 support, multi-object protocols.
Tag: langdevel::java

Package: aspectj-doc
Priority: optional
Section: contrib/devel
Installed-Size: 2222
Maintainer: Takashi Okamoto <dres@debian.org>
Architecture: all
Source: aspectj
Version: 1.1.1-1
Filename: pool/contrib/a/aspectj/aspectj-doc_1.1.1-1_all.deb
Size: 474754
MD5sum: 0db5b597aa92bbe8e2c2a715b791d0bd
Description: documenet for aspectj
 Aspectj enables the clean modularization of crosscutting concerns
 such as: error checking and handling, synchronization, context-sensitive
 behavior, performance optimizations, monitoring and logging, debugging
 support, multi-object protocols.
Tag: role::content:doc

Christoph
-- 
cb@df7cb.de | http://www.df7cb.de/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#352521; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Thomas Girard <thomas.g.girard@free.fr>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #8 received at 352521@bugs.debian.org (full text, mbox):

From: Thomas Girard <thomas.g.girard@free.fr>
To: 352521@bugs.debian.org
Cc: control@bugs.debian.org
Subject: ITA: aspectj -- A seamless aspect-oriented extension for Java
Date: Fri, 11 May 2007 18:19:52 +0200
retitle 352521 ITA: aspectj -- A seamless aspect-oriented extension for Java
owner 352521 !
thanks

Hello,

I intend to adopt aspectj. The package will be handled by the
pkg-java team.

It will probably move to main, as gcj seems to be able to compile it.

Thomas



Changed Bug title to ITA: aspectj -- A seamless aspect-oriented extension for Java from O: aspectj -- A seamless aspect-oriented extension for Java. Request was from Thomas Girard <thomas.g.girard@free.fr> to control@bugs.debian.org. (Fri, 11 May 2007 16:12:02 GMT) Full text and rfc822 format available.

Owner recorded as Thomas Girard <thomas.g.girard@free.fr>. Request was from Thomas Girard <thomas.g.girard@free.fr> to control@bugs.debian.org. (Fri, 11 May 2007 16:12:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Thomas Girard <thomas.g.girard@free.fr>:
Bug#352521; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Arnaud Vandyck" <avdyk@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Thomas Girard <thomas.g.girard@free.fr>. Full text and rfc822 format available.

Message #17 received at 352521@bugs.debian.org (full text, mbox):

From: "Arnaud Vandyck" <avdyk@debian.org>
To: 352521@bugs.debian.org
Subject: Re: ITA: aspectj -- A seamless aspect-oriented extension for Java
Date: Mon, 13 Aug 2007 16:03:17 +0200
Hi Christoph,

What is the status of this bug?

Cheers,

-- 
Arnaud Vandyck



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#352521; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Thomas Girard <thomas.g.girard@free.fr>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #22 received at 352521@bugs.debian.org (full text, mbox):

From: Thomas Girard <thomas.g.girard@free.fr>
To: Arnaud Vandyck <avdyk@debian.org>, 352521@bugs.debian.org
Subject: Re: Bug#352521: ITA: aspectj -- A seamless aspect-oriented extension for Java
Date: Mon, 13 Aug 2007 16:17:30 +0200
Le lundi 13 août 2007 à 16:03 +0200, Arnaud Vandyck a écrit :
> What is the status of this bug? 

Hi Arnaud,

I've ITA'ed this one a while ago, and the work in progress is currently
available in SVN.

There are two issues left:
 * AspectJ uses a modified version of the eclipse compiler. Even though
the sources are available, those are not compiled during AspectJ
compilation.
 * It seems the test suite fails to pass with gij, but succeeds with
Sun's VM. That's pretty annoying because it means aspectj should remain
in contrib, while the test suite should work on icedtea.

Any help on these issues is more than welcome,

Regards,

Thomas




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Thomas Girard <thomas.g.girard@free.fr>:
Bug#352521; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Arnaud Vandyck" <avdyk@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Thomas Girard <thomas.g.girard@free.fr>. Full text and rfc822 format available.

Message #27 received at 352521@bugs.debian.org (full text, mbox):

From: "Arnaud Vandyck" <avdyk@debian.org>
To: 352521@bugs.debian.org
Subject: Re: Bug#352521: ITA: aspectj -- A seamless aspect-oriented extension for Java
Date: Mon, 13 Aug 2007 23:04:30 +0200
On 8/13/07, Thomas Girard <thomas.g.girard@free.fr> wrote:
> Hi Arnaud,

Hi Thomas,

> I've ITA'ed this one a while ago, and the work in progress is currently
> available in SVN.

Excellent ;-)

> There are two issues left:
>  * AspectJ uses a modified version of the eclipse compiler. Even though
> the sources are available, those are not compiled during AspectJ
> compilation.

Is it still the case of the latest release?

>  * It seems the test suite fails to pass with gij, but succeeds with
> Sun's VM. That's pretty annoying because it means aspectj should remain
> in contrib, while the test suite should work on icedtea.

Maybe you can keep it in contrib at the moment and build (and run) it
with non-free Java at the moment.

Thanks for your work,

-- 
Arnaud Vandyck



Reply sent to Thomas Girard <thomas.g.girard@free.fr>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Christoph Berg <myon@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #32 received at 352521-close@bugs.debian.org (full text, mbox):

From: Thomas Girard <thomas.g.girard@free.fr>
To: 352521-close@bugs.debian.org
Subject: Bug#352521: fixed in aspectj 1.5.3-1
Date: Sun, 19 Aug 2007 19:17:07 +0000
Source: aspectj
Source-Version: 1.5.3-1

We believe that the bug you reported is fixed in the latest version of
aspectj, which is due to be installed in the Debian FTP archive:

aspectj-doc_1.5.3-1_all.deb
  to pool/contrib/a/aspectj/aspectj-doc_1.5.3-1_all.deb
aspectj_1.5.3-1.diff.gz
  to pool/contrib/a/aspectj/aspectj_1.5.3-1.diff.gz
aspectj_1.5.3-1.dsc
  to pool/contrib/a/aspectj/aspectj_1.5.3-1.dsc
aspectj_1.5.3-1_all.deb
  to pool/contrib/a/aspectj/aspectj_1.5.3-1_all.deb
aspectj_1.5.3.orig.tar.gz
  to pool/contrib/a/aspectj/aspectj_1.5.3.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 352521@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thomas Girard <thomas.g.girard@free.fr> (supplier of updated aspectj package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 19 Aug 2007 12:16:17 +0200
Source: aspectj
Binary: aspectj-doc aspectj
Architecture: source all
Version: 1.5.3-1
Distribution: unstable
Urgency: low
Maintainer: Debian Java maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Changed-By: Thomas Girard <thomas.g.girard@free.fr>
Description: 
 aspectj    - A seamless aspect-oriented extension for Java
 aspectj-doc - documentation for aspectj
Closes: 286087 352521 397559
Changes: 
 aspectj (1.5.3-1) unstable; urgency=low
 .
   * New maintainer. Closes: #352521.
   * New upstream release. Closes: #286087.
   * AspectJ 5 builds cleanly with gcj. Closes: #397559.
   * Bump debhelper level to 5.
   * Convert debian/rules to cdbs.
   * Build manpages from the DocBook documentation.
   * Install wrapper scripts for ajdoc, aj, and aj5.
   * Add XS-Vcs-Svn and XS-Vcs-Browser fields to debian/control.
   * Update debian/copyright.
Files: 
 ba8adcc6952c25d752af214c1411e897 995 contrib/devel optional aspectj_1.5.3-1.dsc
 39c2b1b596f3752ecc58b3c7d193369d 31301441 contrib/devel optional aspectj_1.5.3.orig.tar.gz
 711abd1195ed222126545e2cd6d7b09e 13431 contrib/devel optional aspectj_1.5.3-1.diff.gz
 7bf0a7b9aa6d798294ecf97bb0d39d81 9981132 contrib/devel optional aspectj_1.5.3-1_all.deb
 0d6db1d06e11308548f24d97919b5719 1053048 contrib/doc optional aspectj-doc_1.5.3-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGyIl/z2LXlDjmjg4RAjkTAKCzoYBg1jUdlXTeZLCxJKRQWUpQYwCdE/Ay
0meWMiNsqWrosJ4yVCERP5s=
=Bg+o
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 10 Aug 2008 10:55:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 18:51:22 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.